com.independentsoft.exchange

## Enum FlagIcon

- java.lang.Object
- - java.lang.Enum<FlagIcon>
  - - com.independentsoft.exchange.FlagIcon

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FlagIcon>

      public enum FlagIcon
      extends java.lang.Enum<FlagIcon>

  Specifies whether an item is flagged, and if it is, the color associated with the flagged item.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLUE` Blue has been associated with the flagged item.
    `GREEN` Green has been associated with the flagged item.
    `NONE` No flag has been associated with the item.
    `ORANGE` Orange has been associated with the flagged item.
    `PURPLE` Purple has been associated with the flagged item.
    `RED` Red has been associated with the flagged item.
    `YELLOW` Yellow has been associated with the flagged item.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FlagIcon` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FlagIcon[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PURPLE

          public static final FlagIcon PURPLE

      Purple has been associated with the flagged item.

    - #### ORANGE

          public static final FlagIcon ORANGE

      Orange has been associated with the flagged item.

    - #### GREEN

          public static final FlagIcon GREEN

      Green has been associated with the flagged item.

    - #### YELLOW

          public static final FlagIcon YELLOW

      Yellow has been associated with the flagged item.

    - #### BLUE

          public static final FlagIcon BLUE

      Blue has been associated with the flagged item.

    - #### RED

          public static final FlagIcon RED

      Red has been associated with the flagged item.

    - #### NONE

          public static final FlagIcon NONE

      No flag has been associated with the item.

  - ### Method Detail

    - #### values

          public static FlagIcon[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlagIcon c : FlagIcon.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlagIcon valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null